%global timestamp %(date +%%Y%%m%%d%%H%%M%%S)

Name:           retroarch-git
Version:        %{timestamp}
Release:        2%{?dist}
Summary:        RetroArch is a frontend for emulators, game engines and media players (Git Version)

License:        GPLv3
URL:            https://www.retroarch.com/

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  mesa-libGL-devel
BuildRequires:  freetype-devel
BuildRequires:  zlib-devel
BuildRequires:  systemd-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  SDL2-devel
BuildRequires:  libxml2-devel
BuildRequires:  mesa-libgbm-devel
BuildRequires:  libXinerama-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  miniupnpc-devel
BuildRequires:  openal-soft-devel
BuildRequires:  flac-devel
BuildRequires:  libXv-devel
BuildRequires:  mbedtls-devel
BuildRequires:  openssl-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libv4l-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libass-devel

%if 0%{?fedora} <= 35
BuildRequires:  mesa-vulkan-devel
BuildRequires:  libusb-devel
%endif

BuildRequires:  qt5-qtbase-devel
BuildRequires:  libXrandr-devel
BuildRequires:	libXxf86vm-devel

%if 0%{?fedora} >= 36
BuildRequires:  vulkan-headers
BuildRequires:  libusb1-devel
%endif

Requires:       vulkan-loader-devel

Obsoletes:      retroarch

%description
RetroArch is a frontend for emulators, game engines and media players.

It enables you to run classic games on a wide range of computers and consoles through its slick graphical interface. Settings are also unified so configuration is done once and for all.

RetroArch has advanced features like shaders, netplay, rewinding, next-frame response times, and more!

%prep
%{__git} clone --depth 1 https://github.com/libretro/RetroArch.git ./


%build
./configure --prefix=/usr \
            --disable-ffmpeg \
            --disable-cg \
            --disable-rsound \
            --disable-sdl \
            --disable-videocore \
            --disable-roar \
            --disable-vg \
            --disable-coreaudio \
            --disable-audioio
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license COPYING
%doc README.md
%{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/metainfo/*
%{_docdir}/retroarch
%{_mandir}/*/*
%{_datadir}/pixmaps/*


%changelog
* Wed May 11 2022 Victor Oliveira
- Fixed package names

* Tue Feb 19 2019 Victor Oliveira
- First version
